Update a specific user by id
curl --request PUT \
--url https://api.rootly.com/v1/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "users",
"attributes": {
"first_name": "<string>",
"last_name": "<string>",
"role_id": "<string>",
"on_call_role_id": "<string>"
}
}
}
'{
"data": {
"id": "970",
"type": "users",
"attributes": {
"name": "New Name",
"email": "[email protected]",
"phone": null,
"phone_2": null,
"first_name": "New",
"last_name": "Name",
"full_name": "New Name",
"full_name_with_team": "[Jakubowski-Stehr] New Name",
"slack_id": null,
"time_zone": "Etc/UTC",
"updated_at": "2026-01-21T11:23:39.082-08:00",
"created_at": "2026-01-21T11:23:35.226-08:00"
},
"relationships": {
"email_addresses": {
"data": [
{
"id": "b01704ee-246c-4006-b948-c0a5e5eeec09",
"type": "user_email_addresses"
}
]
},
"phone_numbers": {
"data": []
},
"devices": {
"data": []
},
"role": {
"data": {
"id": "637ef903-6b73-4b4d-b37b-fb16382d05d0",
"type": "roles"
}
},
"on_call_role": {
"data": {
"id": "5e1ca1ac-5a3a-48cf-9f08-bce09a524264",
"type": "on_call_roles"
}
},
"teams": {
"data": []
},
"schedules": {
"data": []
},
"notification_rules": {
"data": [
{
"id": "f4a5f9ab-25af-489c-a8bb-58a94d866786",
"type": "user_notification_rules"
},
{
"id": "dc359dd3-76a2-4446-a202-ee2911b17d15",
"type": "user_notification_rules"
}
]
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
update name and role simultaneously
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "users",
"attributes": {
"first_name": "<string>",
"last_name": "<string>",
"role_id": "<string>",
"on_call_role_id": "<string>"
}
}
}
'{
"data": {
"id": "970",
"type": "users",
"attributes": {
"name": "New Name",
"email": "[email protected]",
"phone": null,
"phone_2": null,
"first_name": "New",
"last_name": "Name",
"full_name": "New Name",
"full_name_with_team": "[Jakubowski-Stehr] New Name",
"slack_id": null,
"time_zone": "Etc/UTC",
"updated_at": "2026-01-21T11:23:39.082-08:00",
"created_at": "2026-01-21T11:23:35.226-08:00"
},
"relationships": {
"email_addresses": {
"data": [
{
"id": "b01704ee-246c-4006-b948-c0a5e5eeec09",
"type": "user_email_addresses"
}
]
},
"phone_numbers": {
"data": []
},
"devices": {
"data": []
},
"role": {
"data": {
"id": "637ef903-6b73-4b4d-b37b-fb16382d05d0",
"type": "roles"
}
},
"on_call_role": {
"data": {
"id": "5e1ca1ac-5a3a-48cf-9f08-bce09a524264",
"type": "on_call_roles"
}
},
"teams": {
"data": []
},
"schedules": {
"data": []
},
"notification_rules": {
"data": [
{
"id": "f4a5f9ab-25af-489c-a8bb-58a94d866786",
"type": "user_notification_rules"
},
{
"id": "dc359dd3-76a2-4446-a202-ee2911b17d15",
"type": "user_notification_rules"
}
]
}
}
}
}